Subject: bug#24546: 11.89.5; preview-latex does not work with beamer TL2016

From: Uwe Brauer <[email-masked]>
Date: Mon, 26 Sep 2016 08:02:05 +0000

Hi

Attached you find test-bug.tex which uses the beamer package as shipped
by TL 2016, together with  the relevant logs.

I can compile this file with pdflatex and latex, however when I try to
run preview-latex no preview pngs are generated for this file. I tried
out a standard article class and preview-latex works flawlessly.

Emacs  : GNU Emacs 25.1.50.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2016-08-09
Package: 11.89.5

current state:
==============
(setq
 AUCTeX-date "2016-09-01"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex" "/home/oub/.emacs.d/elpa/auctex-11.89.5/style"
                  "/home/oub/.emacs.d/auctex/auto" "/home/oub/tex/sty/auto" "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %(extraopts) %`%S%(PDFout)%(mode)%' %t"
                     TeX-run-TeX nil (plain-tex-mode texinfo-mode ams-tex-mode) :help "Run plain TeX")
                    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
                    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil (texinfo-mode) :help
                     "Run Makeinfo with Info output")
                    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t" TeX-run-compile nil (texinfo-mode)
                     :help "Run Makeinfo with HTML output")
                    ("AmSTeX" "amstex %(PDFout) %(extraopts) %`%S%(mode)%' %t" TeX-run-TeX nil (ams-tex-mode)
                     :help "Run AMSTeX")
                    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX nil
                     (context-mode) :help "Run ConTeXt once")
                    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode)
                     :help "Run ConTeXt until completion")
                    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX")
                    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
                    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
                    ("Print" "%p" TeX-run-command t t :help "Print the file")
                    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible
                     TeX-queue-command)
                    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help "Generate PostScript file")
                    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help "Convert DVI file to PostScript")
                    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help "Convert PostScript file to PDF")
                    ("Index" "makeindex %s" TeX-run-index nil t :help "Run makeindex to create index file")
                    ("makegloss" "makeindex %s.nlo -s nomencl.ist -o %s.nls" TeX-run-command t t)
                    ("pandoclatex2odt"
                     "/home/oub/.cabal/bin/pandoc -s -R -f latex --toc %s.tex --reference-odt=/home/oub/ALLES/Templates/preferences.odt -t odt -o %O" TeX-run-command t t)
                    ("pandoclatex2docx"
                     "/home/oub/.cabal/bin/pandoc -s -R -f latex  %s.tex --reference-docx=/home/oub/ALLES/Templates/preferences.docx -t docx -o %D" TeX-run-command t t)
                    ("Xindy" "texindy %s" TeX-run-command nil t :help "Run xindy to create index file")
                    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help
                     "Check LaTeX file for correctness")
                    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help
                     "Check LaTeX file for common mistakes")
                    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help
                     "Spell-check the document")
                    ("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated intermediate files")
                    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
                     "Delete generated intermediate and output files")
                    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )